
From    :  Ray Elquist
To      :  John Rohner
Subject :  Here's a handy one??

John.. I was offering to my callers a menu option to view the FidoNews file
that gets sent up with the fido mail every couple of weeks or so.. well with
my lazy self I would forget to add those new files so that the updated file
was allways the one the user could read.  Anyway to make things nice I added
a little .bat file and now call it as a timed event every night to check for
a new fidonews file..  Don't know if you want to include this on the board
for other sysops or not but I will give it to you anyway just in case you
think it might be handy for someone else?

First I have 2 new commands in the McEditor.

        FNWS = dTXT _C:\BBS\MYTEXT\MMFIDO.NWS

                This is added to the main menu and displays the file that
contains the fido news.

        FCPY = Door _C:\BBS\FIDONEWS.BAT

                This calls the batch file from an event I run everynight
somtime after my fido poll.

The .bat file is attached here and can be changed to meet the other drives
and directory layouts of other sysops but it checks for a new fidonet news
file in the MISCMAIL directory if it finds in it copies it to the MMFIDO.NWS
file and deletes the old one so it also keeps fido systems MISCMAIL
directories clean.. ;-)  I think next I am going to make a .bat that will do
the same with the node.diff files.

-Ray

|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
echo off
cls
echo UPDATING FIDO NEWS!

REM  *** This batch file will check for a new fido news file in my
REM  *** MISCMAIL directory.. if one is found it will copy it and 
REM  *** un-archive it, rename it and stick it in the right directory
REM  *** so callers can use the READ FIDO NEWS to see the new fido news.
REM *********************************************************************

if not exist c:\bbs\miscmail\fnews*.lzh goto END
c:
cd\bbs\mytext
copy c:\bbs\miscmail\fnews*.lzh *.*
del c:\bbs\miscmail\fnews*.lzh
lha e fnews*

if exist fido*.nws goto FINISH
goto CLEANUP

:FINISH
copy fido*.nws mmfido.nws

:CLEANUP
del fido*.nws
del fnews*.lzh
cd\bbs
:END

